%define upstream_name    common-sense
%define upstream_version 3.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Save a tree AND a kitten, use common::sense!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/common/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(common::sense)

%description
This module implements some sane defaults for Perl programs, as defined by
two typical (or not so typical - use your common sense) specimens of Perl
coders.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.600.0-2.mga3
+ Revision: 375415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 3.600.0-1.mga3
+ Revision: 267565
- update to 3.6

* Tue Jun 05 2012 jquelin <jquelin> 3.500.0-1.mga3
+ Revision: 255680
- update to 3.5

* Sat Jun 11 2011 spuhler <spuhler> 3.400.0-2.mga2
+ Revision: 104030
- increase rel for rebuild

* Thu Feb 17 2011 jquelin <jquelin> 3.400.0-1.mga1
+ Revision: 52909
- update to 3.4

* Tue Jan 18 2011 jquelin <jquelin> 3.300.0-1.mga1
+ Revision: 22189
- cleaning spec file
- imported package perl-common-sense

